#include "TMHistogrammingEventDumpHeaderLong.h"

//_____________________________________________________________________
TMHistogrammingEventDumpHeaderLong::TMHistogrammingEventDumpHeaderLong() :
  TMHistogrammingEventDump()
{
}
//_____________________________________________________________________
TMHistogrammingEventDumpHeaderLong::~TMHistogrammingEventDumpHeaderLong() {
}
//_____________________________________________________________________
void TMHistogrammingEventDumpHeaderLong::EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber) {
  if (fEventAccept) {
    TString newEv = Form("______________________________________________________EVENT %d (PHYSICS EVENT)______________________________________________________",globalEventNumber);
    if (DumpThis(newEv.Data())) {
      DumpHeaderLong(fEvent);
      DumpThis(" ");
      fNeedRedump=kTRUE;
    }
  }

  TMHistogramming::EndEvent(str, globalEventNumber);
}
